%define		kdeappsver	21.12.0
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kteatime
Summary:	kteatime
Summary(pl.UTF-8):	kteatime
Name:		ka5-%{kaname}
Version:	21.12.0
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	a48336bc375bd107b9b77b5d35af7d0e
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-knotifications-devel >= %{kframever}
BuildRequires:	kf5-knotifyconfig-devel >= %{kframever}
BuildRequires:	kf5-ktextwidgets-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KTeaTime is a handy timer for steeping tea. No longer will you have to
guess at how long it takes for your tea to be ready. Simply select the
type of tea you have, and it will alert you when the tea is ready to
drink.

%description -l pl.UTF-8
KTeaTime jest przydatnym stoperem do zaparzania herbaty. Nie musisz
więcej zgadywać jak długo trzeba czekać aż herbata będzie gotowa.
Po prostu zaznacz typ herbaty którą masz i KTeaTime powiadomi Cię,
gdy napój będzie gotowy do picia.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kteatime
%{_desktopdir}/org.kde.kteatime.desktop
%{_iconsdir}/hicolor/16x16/apps/kteatime.png
%{_iconsdir}/hicolor/22x22/apps/kteatime.png
%{_iconsdir}/hicolor/32x32/apps/kteatime.png
%{_iconsdir}/hicolor/48x48/apps/kteatime.png
%{_iconsdir}/hicolor/64x64/apps/kteatime.png
%{_iconsdir}/hicolor/scalable/apps/kteatime.svgz
%{_datadir}/knotifications5/kteatime.notifyrc
%{_datadir}/metainfo/org.kde.kteatime.appdata.xml
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kteatime.git;a=log;h=master

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bc1598f
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e9035e4
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8a45c67
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 096d617
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cfa00b8
- updated to 21.08.0

* Thu Aug 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ac4835d
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e6be48e
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1cbecbd
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 85b6661
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 761a676
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7f1e999
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 7cfa6ab
- updated to 19.04.1
- packaged docs
- macro kframever

* Sun Jan 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 429789b
- updated to 18.12.1; ninja

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 5ae3f9e
- updated to 18.12.0

